[arch-commits] Commit in nodejs/repos (6 files)

Felix Yan fyan at archlinux.org
Sun May 24 05:49:08 UTC 2015


    Date: Sunday, May 24, 2015 @ 07:49:08
  Author: fyan
Revision: 134024

archrelease: copy trunk to community-i686, community-x86_64

Added:
  nodejs/repos/community-i686/PKGBUILD
    (from rev 134023, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-x86_64/PKGBUILD
    (from rev 134023, nodejs/trunk/PKGBUILD)
Deleted:
  nodejs/repos/community-i686/PKGBUILD
  nodejs/repos/community-i686/nodejs.install
  nodejs/repos/community-x86_64/PKGBUILD
  nodejs/repos/community-x86_64/nodejs.install

---------------------------------+
 /PKGBUILD                       |  144 ++++++++++++++++++++++++++++++++++++++
 community-i686/PKGBUILD         |   73 -------------------
 community-i686/nodejs.install   |    7 -
 community-x86_64/PKGBUILD       |   73 -------------------
 community-x86_64/nodejs.install |    7 -
 5 files changed, 144 insertions(+), 160 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2015-05-24 05:48:33 UTC (rev 134023)
+++ community-i686/PKGBUILD	2015-05-24 05:49:08 UTC (rev 134024)
@@ -1,73 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos <james.r.campos at gmail.com>
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
-# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
-# Contributor: TIanyi Cui <tianyicui at gmail.com>
-
-pkgname=nodejs
-pkgver=0.12.3
-pkgrel=2
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl' 'zlib' 'icu') # 'libuv' 'v8' 'c-ares')
-makedepends=('python2' 'procps-ng')
-optdepends=('npm: nodejs package manager')
-install=nodejs.install
-source=("http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz")
-sha256sums=('e65d83c6f2c874e28f65c5e192ac0acd2bbb52bfcf9d77e33442d6765a3eb9da')
-
-prepare() {
-  cd node-v$pkgver
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd node-v$pkgver
-
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --with-intl=system-icu \
-    --without-npm \
-    --shared-openssl \
-    --shared-zlib
-    # --shared-libuv
-    # --shared-v8
-    # --shared-cares
-
-  make
-}
-
-check() {
-  cd node-v$pkgver
-  make test || warning "Tests failed"
-}
-
-package() {
-  cd node-v$pkgver
-
-  make DESTDIR="$pkgdir" install
-
-  # install docs as per user request
-  install -d "$pkgdir"/usr/share/doc/nodejs
-  cp -r doc/api/{*.html,assets} \
-    "$pkgdir"/usr/share/doc/nodejs
-
-  install -D -m644 LICENSE \
-    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-i686/PKGBUILD (from rev 134023, nodejs/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2015-05-24 05:49:08 UTC (rev 134024)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=0.12.4
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'zlib' 'icu') # 'libuv' 'v8' 'c-ares')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz")
+sha256sums=('3298d0997613a04ac64343e8316da134d04588132554ae402eb344e3369ec912')
+
+prepare() {
+  cd node-v$pkgver
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v$pkgver
+
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib
+    # --shared-libuv
+    # --shared-v8
+    # --shared-cares
+
+  make
+}
+
+check() {
+  cd node-v$pkgver
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-v$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  # install docs as per user request
+  install -d "$pkgdir"/usr/share/doc/nodejs
+  cp -r doc/api/{*.html,assets} \
+    "$pkgdir"/usr/share/doc/nodejs
+
+  install -D -m644 LICENSE \
+    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-i686/nodejs.install
===================================================================
--- community-i686/nodejs.install	2015-05-24 05:48:33 UTC (rev 134023)
+++ community-i686/nodejs.install	2015-05-24 05:49:08 UTC (rev 134024)
@@ -1,7 +0,0 @@
-post_install () {
-  echo "Notice: npm is not shipped with nodejs since 0.12.2-4, please install npm manually if you need it."
-}
-
-post_upgrade () {
-  (( $(vercmp $2 '0.12.2-4') < 0 )) && post_install "$1" || true
-}

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2015-05-24 05:48:33 UTC (rev 134023)
+++ community-x86_64/PKGBUILD	2015-05-24 05:49:08 UTC (rev 134024)
@@ -1,73 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos <james.r.campos at gmail.com>
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
-# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
-# Contributor: TIanyi Cui <tianyicui at gmail.com>
-
-pkgname=nodejs
-pkgver=0.12.3
-pkgrel=2
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl' 'zlib' 'icu') # 'libuv' 'v8' 'c-ares')
-makedepends=('python2' 'procps-ng')
-optdepends=('npm: nodejs package manager')
-install=nodejs.install
-source=("http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz")
-sha256sums=('e65d83c6f2c874e28f65c5e192ac0acd2bbb52bfcf9d77e33442d6765a3eb9da')
-
-prepare() {
-  cd node-v$pkgver
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd node-v$pkgver
-
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --with-intl=system-icu \
-    --without-npm \
-    --shared-openssl \
-    --shared-zlib
-    # --shared-libuv
-    # --shared-v8
-    # --shared-cares
-
-  make
-}
-
-check() {
-  cd node-v$pkgver
-  make test || warning "Tests failed"
-}
-
-package() {
-  cd node-v$pkgver
-
-  make DESTDIR="$pkgdir" install
-
-  # install docs as per user request
-  install -d "$pkgdir"/usr/share/doc/nodejs
-  cp -r doc/api/{*.html,assets} \
-    "$pkgdir"/usr/share/doc/nodejs
-
-  install -D -m644 LICENSE \
-    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-x86_64/PKGBUILD (from rev 134023, nodejs/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2015-05-24 05:49:08 UTC (rev 134024)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=0.12.4
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'zlib' 'icu') # 'libuv' 'v8' 'c-ares')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz")
+sha256sums=('3298d0997613a04ac64343e8316da134d04588132554ae402eb344e3369ec912')
+
+prepare() {
+  cd node-v$pkgver
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v$pkgver
+
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib
+    # --shared-libuv
+    # --shared-v8
+    # --shared-cares
+
+  make
+}
+
+check() {
+  cd node-v$pkgver
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-v$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  # install docs as per user request
+  install -d "$pkgdir"/usr/share/doc/nodejs
+  cp -r doc/api/{*.html,assets} \
+    "$pkgdir"/usr/share/doc/nodejs
+
+  install -D -m644 LICENSE \
+    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-x86_64/nodejs.install
===================================================================
--- community-x86_64/nodejs.install	2015-05-24 05:48:33 UTC (rev 134023)
+++ community-x86_64/nodejs.install	2015-05-24 05:49:08 UTC (rev 134024)
@@ -1,7 +0,0 @@
-post_install () {
-  echo "Notice: npm is not shipped with nodejs since 0.12.2-4, please install npm manually if you need it."
-}
-
-post_upgrade () {
-  (( $(vercmp $2 '0.12.2-4') < 0 )) && post_install "$1" || true
-}



More information about the arch-commits mailing list